*{
    margin: 0;
    padding: 0;
    font-family: sans-serif;
    font-size: 25px;
    
}


/* body header */
#body-header 
{
    background-image: url("back-img.jpg");
    height: 65vh;
    opacity: 0.8;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    text-align: center;
    padding-top: 1.2rem;
    
} 


.horizontal-list{
    list-style: none;
    text-decoration: none;
    text-align: center;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;

    height: 10vh;
    
    
}
.horizontal-list li{
    display: inline-block;
    font-weight: 100;
    font-size: 0.9rem;
    margin: 10px 20px;
    padding: 3px;
    
}
.horizontal-list li a{
    text-decoration: none;
    color: white;
    font-weight: bold;
    transition: color 0.5s, border-bottom 4s;
}

.horizontal-list li a:hover{
    text-decoration: none;
    color: rgba(255, 0, 0, 0.835);
    font-weight: bold;
    border-bottom: 2px solid green;
}
#body-header h1{
    font-size: 3rem;
    letter-spacing: 0.1rem;
    color: rgb(0, 0, 0);  
    margin-top: 20vh;  
    /* margin-top: 50px; */
    font-weight: 700;
    margin-bottom: 0.4rem;
    text-shadow: 1px 0 0 #fff, 0 -1px 0 #fff, 0 1px 0 #fff, -1px 0 0 #fff;
    

}
.icons {
    list-style: none;
}

.icons li{
    display: inline-block;
    margin: 10px 10px;
}
.icons li a{
    font-size: 1.4rem;
    color: rgb(19, 19, 19);

}

.icons li a img{
    height: 1rem;
    width: 1rem;
}
.icons li a :hover{

    color:white;
    transition: color 0.4s;
}

/* About section */
#about{
    /* position: relative; */
    height: 100%;
    width: 100%;
    position: relative;
}

#my-image{
    height: 12rem;
    width: 12rem;
    margin: auto;
    margin-top: -12vh;
    margin-bottom: 4vh;;
}
#my-image img{
    border-radius: 50%;
    height: 100%;
    width: 100%;
    box-shadow: 0px 0px 6px 4px 1ightgrey;
    border: 3px solid white;
}

.highlight{
    color: #2857a4;
    font-weight: bold;
    font-size: 0.8rem;
}

#about p{
    color:rgb(116, 100, 100);
    font-size: 0.8rem;
    text-align: justify;
    padding: 2vh;
}

section{
    width:100%;
    display: flex;
    flex-direction: column;
    /* height: 75vh; */
    align-items: center;
}

section:nth-child(2n+1){
    background-color: white;
}

section:nth-child(2n){
    background-color: rgba(246, 245, 245, 0.993);
}

/* section:target{
    background-color: cyan;
} */

.section-heading{
    margin-top:10px;
    margin-bottom: 30px;
    width: auto;
    padding: 20px 10px 10px;
    font-weight: 400;
}

.section-heading span , .section-heading span i{
    font-size: 1.6rem;
    color: #2857a4;
    display: inline-block;
    padding-top: 10px;
    margin-right: 0.2rem;
}


/* Skills Section */

#skills{
    height:auto;
}
.skills-display{
    width:70%;
    /* border: 2px solid black; */
    /* height:100px; */
    height: auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    margin-bottom: 3.5rem;
}

.skill-progress{
    margin-top: 0.9rem;
    /* box-shadow: 0px -2px 4px 1px #7a7777, 0 2px 4px 1px #7a7777, 2px 0 4px 1px #7a7777, -2px 0 4px 1px #7a7777; */

    box-shadow:  0px 1px 2px 1px #7a7777 inset;
    height: 2.2rem;
    width: 11rem;
    background-color: rgba(235, 228, 228, 0.876);
    border-radius: 5.5rem;
    /* border: 1.2px solid gray; */
    display: flex;
    flex-direction: row;
    align-items: center;
    overflow: hidden

}

/* #full-skill{
    height: 2.2rem;
    width: 11rem;
    background-color: rgba(235, 228, 228, 0.876);
    border-radius: 5.5rem; */
    /* border: 1.2px solid gray; */
    /* display: flex;
    flex-direction: row;
    align-items: center;
    overflow: hidden;
} */


.per{
    height: 2.2rem;
    border-radius: 5.5rem 0 0 5.5rem;
    display:flex;
    flex-direction: row;
    align-items: center;
    box-shadow: 1px 0px 2px 0px #7a7777;
}
.per span{
    
    font-weight: 400;
    color: white;
    margin-left: 1rem;
}

.skill1{
    background-color: rgba(11, 86, 224, 0.993);
    width: 0.2rem;
    /* border-radius: 15px 8px 8px 15px; */
    /* transition: width 0.8s; */
}

/* .skill1:hover{
    width: 10rem;
} */

.skill2{
    background-color: #d90be0fd;
    width: 8rem;
}

.skill3{
    background-color: #cefa0cfd;
    width: 5rem;
}
.skill4{
    background-color: #fa0c18fd;
    width: 4.5rem;
}
.skill5{
    background-color: #0cfac6fd;
    width: 5.4rem;
}
.skill5 span{
    font-size: 1rem;
}
/* Portfolio section */

.portfolio-items{
    box-sizing: border-box;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin-bottom: 20px;
    padding: 0 50px;
}

.portfolio-image{
    max-width: 400px;
    max-height: 300px;
    overflow: hidden;
    margin: 10px;
    background-size: cover;
    background-repeat: no-repeat;
    position: relative;
}

.portfolio-image img{
    height: 100%;
    width: 100%;
}

.portfolio-details{
    transition: all 0.5s ease-in-out ;
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    color: transparent;
    text-align: center;
    padding: 10px;
    font-size: 2rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

.portfolio-image:hover{
    box-shadow: 0 0 20px #74adc8;
}

.portfolio-image:hover .portfolio-details{
    background-color: #80808078;
    color:white;
}

/* Contact Section */



#contact{
    background-color: #0abcf9;
    background-image: linear-gradient(50deg,#2857a4 0%,#403066 74%);
    color: white;
    padding-bottom: 40px;
}
#contact h1,
#contact h1 span{
    color:white;
}

#contact span i{
    color: white;
}

.contact-container{
    display: flex;
}




.my-details-container{
    width: 35%;
    margin-left: 6%;
}

.my-details-container h3{
    color: white;
    font-weight: 550;
    font-size: 1.2rem;
    margin-bottom: 1vh;
}

.contact-form{
    margin-left: 20%;
}

.contact-form-container{
    width: 50%;
}

.my-details-container p{
    color: #d9dcdd;
    font-size: 0.9rem;
}

.my-details-info-container{
    margin-bottom: 1vh;
    color: #d9dcdd;
    /* font-size: 4rem; */
}

.my-details-info-container span{
    margin-left: 0.4rem;
    font-size: 1rem;
}
.my-details-info-container i{
    color: white;
    font-size: 1rem;
}

.contact-form input,
textarea{
    max-width: 90%;
    margin: 15px;
    padding: 4px 10px;
    border: 0px solid transparent;
    border-bottom: 2px solid rgb(246, 246, 255);
    color: #d9dcdd;
    background: transparent;
    width: 90%;
    line-height: 1.6;
    font-size: 1.05rem;
}

.contact-form button[type="submit"] {
    background: transparent;
    font-size: 0.95rem;
    border: 2px solid white;
    margin-top: 5%;
    margin-left: 35%;
    border-radius: 2px;
    color: white;
    font-family: sans-serif;
    font-weight: 700;
    letter-spacing: 0.046875em;
    line-height: 1;
    padding: 0.8em 0.8em 0.78em;
    text-transform: uppercase;
}

.contact-form button:hover {
    background-color: white;
    color: #13386fe0;
}


.new-icons li a :hover{
    color: yellowgreen;
}

#contact .social-icons li a i{
    font-size: 1.2rem;
    margin: 40px 10px 10px;
    padding: 10px 14px 20px 10px;
}
.text-center{
    text-align: center;
}

input:focus,
select:focus,
textarea:focus,
button:focus{
    outline: none;
}


/* Work Experience */

.timeline{
    position: relative;
    width: 75%;
    height: auto;
}

.timeline-box:nth-child(2n+1)
{
    left: 53%;
}

.timeline-box {
    position: relative;
    width: 40%;
    left: 5%;
    min-height: 150px;
    margin: 5px;

}



.odd-dot{
    position: absolute;
    height: 11px;
    width: 11px;
    left: -7px;
    border-radius: 50%;
    background-color: lightgray; 
}
/* .dot2{top: 33.3%;}
.dot3{top: 66.6%;} */
.dot2{top: 50%;}
.dot3{top: 100%;}

.timeline-line{
    /* width: 100%; */
    position: absolute;
    width: 5px;
    top: 5%;
    height: 75%;
    left: 50%;
    border-left: 3px dashed lightblue;
}

#hamburger{
    display: none;
}

.vertical-list{
    width: 100vh;
    display: flex;
    height: 0vh;
    flex-direction: column;
    align-items: flex-start;
    /* display: none; */
    position: absolute;
    top: 10vh;
    overflow: hidden;
    transition: height 1s ease-in-out;
    background-color: black;
    display: none;
}
.vertical-list div{
    margin-left: 5vw;
}

.vertical-list div a{
    color: white;
    text-decoration: none;
    text-align: start;
    font-size: 1.1rem;

}

.hamburger {
    display: none;
    position: absolute;
    top: 8vh;
    right: 5vw;
}
.hamburger label{
    position: relative;
    height: 10vh;
}
.hamburger label i{
    color: white;
}
.vertical-list{
    top: 13vh;
    z-index: 99;
}

#hamburger:checked ~  .vertical-list{
    /* display: flex; */
    top: 13vh;
    height: 32vh;
}

.vertical-list div a:hover{
    color: rgb(199, 199, 191);
    
}



@media screen and (max-width:767px){

    html{
        font-size: 20px;
    }

    .hamburger{
        display: block;
    }
    .vertical-list{
        display:flex;
    }
    h1{
        transform: translateY(12vh);
    }
    .icons{
        transform: translateY(12vh);
    }
    .section-heading{
        margin-bottom: 20vh;
    }

    .horizontal-list{
        display: none;
    }

    .timeline-line{
        left:0;
    }

    .timeline-box:nth-child(2n+1)
    {
        left:5%;
    }

    .timeline-box {

        width: 100%;
        left: 5%;
        margin: 5px;
        margin-bottom: 6vh;
    
    }
    .contact-container{
        flex-direction: column;
        align-items: center;
    }
    .contact-form-container{
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        width: 100%;
    }
    .contact-form{
        display: flex;
        align-items: center;
        width: 100%;
        margin-left: 0;
        flex-direction: column;
    }
    
    .my-details-container{
        margin-top: 5vh;
        margin-right: 5%;
        width: 80%;
    }
    
    .contact-form input,
textarea{
    max-width: 90%;
    margin: 15px;
    padding: 4px 10px;
    border: 0px solid transparent;
    border-bottom: 2px solid rgb(246, 246, 255);
    color: #d9dcdd;
    background: transparent;
    width: 75%;
    line-height: 1.6;
    font-size: 1.05rem;
}

.contact-form button[type="submit"] {
    background: transparent;
    font-size: 0.95rem;
    border: 2px solid white;
    margin-top: 5%;
    margin-left: 20%;
    border-radius: 2px;
    color: white;
    font-family: sans-serif;
    font-weight: 700;
    letter-spacing: 0.046875em;
    line-height: 1;
    padding: 0.8em 0.8em 0.78em;
    text-transform: uppercase;
}

.my-details-container h3{
    margin-top: 3vh;
}

.new-icons li {
    margin: -7px;
}
.new-icons li a{
    margin: -5px;
}

}


@media screen and (max-width:957px)
{
    .portfolio-items{
        display: block;
    }

    .portfolio-image{
        max-height: 70em;
        max-width: 80em;
        
    }
}




.car{
    margin-top: 15px;
    position: sticky;
    top: 44%;
    margin-left: -15px;
    color: blue;
}

.plane{
    margin-top: 15px;
    position: sticky;
    top: 44%;
    margin-left: -10px;
    transform: rotate(90deg);
    color: blue;

}

/* Time-line box design  */

.timeline-box:before{
    content: '';
    position: absolute;
    display: inline-block;
    /* background-image: url(logo.jpg); */
    background-size: contain;
    top: 10%;
    height: 1.9rem;
    width: 2.5rem;
    background-repeat: no-repeat;
}

.hcl::before{
    background-image: url(https://1000logos.net/wp-content/uploads/2021/09/HCL-Logo.png);
}

.ninja::before{
    background-image: url(https://coursereport-s3-production.global.ssl.fastly.net/uploads/school/logo/1323/original/Coding_Ninjas_logo.jpeg);
}

.youtube::before{
    background-image : url(https://i.pinimg.com/originals/7d/c9/93/7dc993c70d4adba215b87cafdc59d82d.png);
}

.college::before{
    background-image: url(https://upload.wikimedia.org/wikipedia/en/thumb/b/b8/GGSIU_logo.svg/1200px-GGSIU_logo.svg.png);
}

.boards::before{
    background-image: url(https://www.clipartmax.com/png/middle/262-2620113_cbse-logo-central-board-of-secondary-education.png);
}
/* .timeline-box{
    position: relative;
}
.logo{
    position: absolute;
    background-image: url(logo.jpg);
    background-size: contain;
    background-repeat: no-repeat;
    height: 30%;
    width:30%;
    top: 11%;
} */
.timeline-box p:nth-child(1){
    color: darkblue;
    font-weight: 700;
    text-align: end;
    font-size: 1.123rem;
    line-height: 40px;
}
.timeline-box p:nth-child(2){
    color: red;
    text-align: end;
    font-size: 1rem;
}
.timeline-box p:nth-child(3)
{   text-align: end;
    font-size: 0.7rem;
}
.timeline-box p:nth-child(4)
{   
    /* text-align: justify; */
    text-align: end;
    margin-top: 10px;
    font-size: 0.6rem;
    color: rgb(53, 50, 50);
}

.mb50px{
    margin-bottom: 50px;
}
.mb75px{
    margin-bottom: 75px;
}


.top{
    position: fixed;
    top: 85vh;
    left: 3vw;
    height: 2.5rem;
    width: 2.5rem;
    color: green;
    background-color: orange;
    border-radius: 50%;
    font-size: 1rem;
    border: 2px solid rgb(158, 90, 90);
}

.top i{
    color: brown;
    font-size: 2.2rem;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.top:hover{
    top: 84.5vh;
}



html{
    scroll-behavior: smooth;
}

.mt2vh{
    margin-top: 2vh;
}

#percentage{
    height: 28px;
    width: 200px;
    border: 2px solid lightblue;
    position: fixed;
    right: 1vw;
    top: 1vh;
    border-radius: 15px;
    text-align: center;
    z-index: 100;
    font-size: 0.8rem;
    padding-top: 6px;
    color: rgb(94, 94, 206);
    box-shadow: 0px 0px 10px 1px rgb(90, 90, 206);
    background-color: white;
}